Skip to main content
POST
/
api
/
v1
/
cdp
/
relationship-types
curl --request POST \
  --url https://app.useboom.ai/api/v1/cdp/relationship-types \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "kind": "person_to_co",
  "role": "placed",
  "customObjectType": "order",
  "cardinality": "ONE_TO_MANY",
  "description": "A person who placed an order"
}
'
{
  "kind": "person_to_co",
  "relationshipTypeId": "rt_2hk9",
  "role": "placed",
  "customObjectType": "order",
  "cardinality": "ONE_TO_MANY",
  "description": "A person who placed an order",
  "bidirectional": false,
  "created": true
}

Authorizations

Authorization
string
header
required

Organization API key, sent as Authorization: Bearer boom_org_....

Body

application/json
kind
enum<string>
required
Available options:
person_to_co
role
string
required

Role label for the link (e.g. placed).

Required string length: 1 - 255
customObjectType
string
required

An existing custom object type name.

Required string length: 1 - 255
cardinality
enum<string>

Multiplicity of the relationship type. For person→custom object, read it as person-to-object (e.g. ONE_TO_MANY = one person has many orders). For custom object→custom object, read it as parent-to-child.

Available options:
ONE_TO_ONE,
ONE_TO_MANY,
MANY_TO_ONE,
MANY_TO_MANY
description
string
Required string length: 1 - 1000
bidirectional
boolean

Defaults to false.

Response

Relationship type registered (or refined if it already existed)

kind
enum<string>
required
Available options:
person_to_co,
co_to_co
relationshipTypeId
string
required
role
string
required
cardinality
enum<string> | null
required

Multiplicity of the relationship type. For person→custom object, read it as person-to-object (e.g. ONE_TO_MANY = one person has many orders). For custom object→custom object, read it as parent-to-child.

Available options:
ONE_TO_ONE,
ONE_TO_MANY,
MANY_TO_ONE,
MANY_TO_MANY
description
string | null
required
bidirectional
boolean
required
created
boolean
required

true if the type was newly created, false if it already existed and was refined.

customObjectType
string

Present when kind is person_to_co.

parentCustomObjectType
string

Present when kind is co_to_co.

childCustomObjectType
string

Present when kind is co_to_co.